# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=6

# ebuild generated by hackport 0.5.6

CABAL_FEATURES="lib profile haddock hoogle hscolour test-suite"
inherit haskell-cabal

DESCRIPTION="Bindings to Lua, an embeddable scripting language"
HOMEPAGE="https://hslua.github.io/"
SRC_URI="mirror://hackage/packages/archive/${PN}/${PV}/${P}.tar.gz"

LICENSE="MIT"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
IUSE="+allow-unsafe-gc apicheck +export-dynamic lua_32bits pkg-config system-lua"

RDEPEND=">=dev-haskell/exceptions-0.8:=[profile?] <dev-haskell/exceptions-0.11:=[profile?]
	>=dev-haskell/fail-4.9:=[profile?] <dev-haskell/fail-5:=[profile?]
	>=dev-haskell/mtl-2.2:=[profile?] <dev-haskell/mtl-2.3:=[profile?]
	>=dev-haskell/text-1.0:=[profile?] <dev-haskell/text-1.3:=[profile?]
	>=dev-lang/ghc-7.10.1:=
	pkg-config? ( >=dev-lang/lua-5.3 )
	!pkg-config? ( system-lua? ( >=dev-lang/lua-5.3 ) )
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-1.22.2.0
	test? ( >=dev-haskell/quickcheck-2.7
		>=dev-haskell/quickcheck-instances-0.3
		>=dev-haskell/tasty-0.11
		>=dev-haskell/tasty-hunit-0.9
		>=dev-haskell/tasty-quickcheck-0.8 )
	pkg-config? ( virtual/pkgconfig )
"

src_configure() {
	haskell-cabal_src_configure \
		$(cabal_flag allow-unsafe-gc allow-unsafe-gc) \
		$(cabal_flag apicheck apicheck) \
		$(cabal_flag export-dynamic export-dynamic) \
		$(cabal_flag lua_32bits lua_32bits) \
		$(cabal_flag pkg-config pkg-config) \
		$(cabal_flag system-lua system-lua)
}
